com.io7m.jcanephora.core

## Enum JCGLCubeMapFaceRH

- java.lang.Object
- - java.lang.Enum<JCGLCubeMapFaceRH>
  - - com.io7m.jcanephora.core.JCGLCubeMapFaceRH

- All Implemented Interfaces:
    Serializable, Comparable<JCGLCubeMapFaceRH>

      public enum JCGLCubeMapFaceRH
      extends Enum<JCGLCubeMapFaceRH>

  The six faces of a cube map with a right-handed coordinate system (see the documentation for details on how to use a right-handed coordinate system).

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CUBE_MAP_RH_NEGATIVE_X` The negative X face of a right-handed cube map.
    `CUBE_MAP_RH_NEGATIVE_Y` The negative Y face of a right-handed cube map.
    `CUBE_MAP_RH_NEGATIVE_Z` The negative Z face of a right-handed cube map.
    `CUBE_MAP_RH_POSITIVE_X` The positive X face of a right-handed cube map.
    `CUBE_MAP_RH_POSITIVE_Y` The positive Y face of a right-handed cube map.
    `CUBE_MAP_RH_POSITIVE_Z` The positive Z face of a right-handed cube map.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JCGLCubeMapFaceRH` | `fromLH(JCGLCubeMapFaceLH face)` For the cube map face `face` in OpenGL's left handed cube map coordinate system, return the corresponding face in a right-handed coordinate system consistent with that of OpenGL's "world" coordinates.
    `static JCGLCubeMapFaceRH` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JCGLCubeMapFaceRH[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CUBE_MAP_RH_NEGATIVE_X

          public static final JCGLCubeMapFaceRH CUBE_MAP_RH_NEGATIVE_X

      The negative X face of a right-handed cube map.

    - #### CUBE_MAP_RH_NEGATIVE_Y

          public static final JCGLCubeMapFaceRH CUBE_MAP_RH_NEGATIVE_Y

      The negative Y face of a right-handed cube map.

    - #### CUBE_MAP_RH_NEGATIVE_Z

          public static final JCGLCubeMapFaceRH CUBE_MAP_RH_NEGATIVE_Z

      The negative Z face of a right-handed cube map.

    - #### CUBE_MAP_RH_POSITIVE_X

          public static final JCGLCubeMapFaceRH CUBE_MAP_RH_POSITIVE_X

      The positive X face of a right-handed cube map.

    - #### CUBE_MAP_RH_POSITIVE_Y

          public static final JCGLCubeMapFaceRH CUBE_MAP_RH_POSITIVE_Y

      The positive Y face of a right-handed cube map.

    - #### CUBE_MAP_RH_POSITIVE_Z

          public static final JCGLCubeMapFaceRH CUBE_MAP_RH_POSITIVE_Z

      The positive Z face of a right-handed cube map.

  - ### Method Detail

    - #### values

          public static JCGLCubeMapFaceRH[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JCGLCubeMapFaceRH c : JCGLCubeMapFaceRH.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JCGLCubeMapFaceRH valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### fromLH

          public static JCGLCubeMapFaceRH fromLH(JCGLCubeMapFaceLH face)

      For the cube map face `face` in OpenGL's left handed cube map coordinate system, return the corresponding face in a right-handed coordinate system consistent with that of OpenGL's "world" coordinates.
      Parameters:
        `face` - The left-handed face.
      Returns:
        The corresponding right-handed face.

Copyright © 2016 <code@io7m.com> http://io7m.com